Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 654262 - EAPI 7 approval
Summary: EAPI 7 approval
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Council
Classification: Unclassified
Component: unspecified (show other bugs)
Hardware: All Linux
: Normal normal
Assignee: Gentoo Council
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-28 21:15 UTC by Ulrich Müller
Modified: 2018-05-13 18:46 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Müller gentoo-dev 2018-04-28 21:15:45 UTC
Dear Council members,

I believe that EAPI 7 is ready for its final approval:
https://gitweb.gentoo.org/proj/pms.git/commit/?h=eapi-7&id=49fa11cf4db1d10f311ff738531e5477cfeb4dbc

A rendered version (PDF and HTML) is available at:
https://dev.gentoo.org/~ulm/pms/7-draft/

Motion: Approve EAPI 7, as of commit 49fa11c dated 2018-04-26.

Yes/No/Abstain
Comment 1 Ulrich Müller gentoo-dev 2018-04-28 21:16:46 UTC
yes
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-04-28 21:32:11 UTC
For the record: I would like to note that we were wrong to state that 'as soon as a portage version supporting the final draft is marked ~arch'.  We need to additionally wait for Infra to upgrade Portage on the rsync master in order for it to be able to generate correct cache entries.

Vote: yes.
Comment 3 Matthias Maier gentoo-dev 2018-04-28 21:32:28 UTC
Yes
Comment 4 Kristian Fiskerstrand gentoo-dev Security 2018-04-29 11:47:25 UTC
(In reply to Ulrich Müller from comment #0)
> Dear Council members,
> 
> I believe that EAPI 7 is ready for its final approval:
> https://gitweb.gentoo.org/proj/pms.git/commit/?h=eapi-
> 7&id=49fa11cf4db1d10f311ff738531e5477cfeb4dbc
> 
> A rendered version (PDF and HTML) is available at:
> https://dev.gentoo.org/~ulm/pms/7-draft/
> 
> Motion: Approve EAPI 7, as of commit 49fa11c dated 2018-04-26.
> 

Vote: Yes
Comment 5 Andreas K. Hüttel gentoo-dev 2018-04-29 16:00:55 UTC
yes
Comment 6 William Hubbs gentoo-dev 2018-04-30 16:54:21 UTC
yes
Comment 7 Sergei Trofimovich gentoo-dev 2018-04-30 20:19:06 UTC
> Motion: Approve EAPI 7, as of commit 49fa11c dated 2018-04-26.

Yes
Comment 8 Ulrich Müller gentoo-dev 2018-04-30 22:13:03 UTC
Vote count: 7 yes (unanimous)
Thank you.

Leaving this bug open until the next council meeting.
Comment 9 Larry the Git Cow gentoo-dev 2018-04-30 22:14:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/pms.git/commit/?id=5933101e2c7c388165608760febdb4fb442b7f71

commit 5933101e2c7c388165608760febdb4fb442b7f71
Author:     Ulrich Müller <ulm@gentoo.org>
AuthorDate: 2018-04-30 22:13:04 +0000
Commit:     Ulrich Müller <ulm@gentoo.org>
CommitDate: 2018-04-30 22:13:04 +0000

    EAPI 7 has been approved by the Council.
    
    Bug: https://bugs.gentoo.org/654262

 eapi-cheatsheet.tex | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 10 Ulrich Müller gentoo-dev 2018-04-30 23:35:07 UTC
I have added a signed tag "eapi-7-approved-2018-04-30" to the merge commit:

https://gitweb.gentoo.org/proj/pms.git/commit/?id=78bf8ab7f65b63c91515fd8e69c9de4a2979467e

commit 78bf8ab7f65b63c91515fd8e69c9de4a2979467e
Author:     Ulrich Müller <ulm@gentoo.org>
AuthorDate: 2018-04-30 22:13:12 +0000
Commit:     Ulrich Müller <ulm@gentoo.org>
CommitDate: 2018-04-30 22:13:12 +0000

    Merge branch 'eapi-7'

 commands.tex          |  15 +-
 dependencies.tex      |  96 +++++++++---
 eapi-cheatsheet.tex   | 322 +++++++++++++++++++++++++++-------------
 eapi-differences.tex  | 239 ++++++++++++++++++++++--------
 eapis.tex             |   7 +-
 ebuild-env-vars.tex   | 150 ++++++++++++++-----
 ebuild-format.tex     |   4 +-
 ebuild-functions.tex  |  36 ++---
 ebuild-vars.tex       |  19 +--
 eclasses.tex          |  10 +-
 introduction.tex      |   7 +-
 merge.tex             |   4 +-
 metadata-cache.tex    |   3 +-
 pkg-mgr-commands.tex  | 402 ++++++++++++++++++++++++++++++++++++--------------
 pms.tex               |   4 +-
 profile-variables.tex |  27 +++-
 profiles.tex          |  66 +++++++--
 tree-layout.tex       |  20 +++
 18 files changed, 1033 insertions(+), 398 deletions(-)